Kerbal Space Program - Bug #4070

Duplicating a detached part, and then attaching it to a part of the active vessel makes it inseparable.
02/13/2015 02:02 PM - Orum

Status: Closed Start date: 02/13/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

If you take a part in the VAB/SPH that is detached from the current vessel (non-transparent parts), and duplicate it (alt-left clicking in
windows), and then attach it to a part of the active vessel, that part can no longer be separated from whatever it was attached to. If
you click on that part, it will drag the entire vessel instead of just the part and its children, preventing separation.

The only workaround I've found is if you can temporarily disconnect the problematic part from the root part (i.e. by selecting a part
between it and the root part), put it "down" in a disconnected state, and pick it back up and then reattach it to the vessel, you can
then separate the problematic part.

Marking it as Windows as I'm unsure if it happens on other platforms. Tested in the 32-bit 0.90 build.

History

#1 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:32 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 01:14 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
